Imports System.Runtime.InteropServices

' Win32 API functions wrappers
Public Class Win32

    ' Win32 COPYDATASTRUCT structure definition
    Structure COPYDATASTRUCT
        Public dwData As IntPtr
        Public cbData As Integer
        Public lpData As IntPtr
    End Structure

    <DllImport("Kernel32.dll", CharSet:=CharSet.Auto)> _
    Public Shared Function GetPrivateProfileInt(ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As Integer, ByVal lpFileName As String) As Integer
    End Function

    ' We use ANSI version of the function for compatibility with Windows 9x/ME.
    ' You can use the Unicode version and 'Auto' charset if don't care about old windows.
    <DllImport("Kernel32.dll", CharSet:=CharSet.Ansi)> _
    Public Shared Function GetPrivateProfileStringA(ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As Byte(), ByVal nSize As Integer, ByVal lpFileName As String) As Integer
    End Function

    <DllImport("User32.dll", CharSet:=CharSet.Auto)> _
    Public Shared Function OpenClipboard(ByVal hwnd As Integer) As Integer
    End Function

    <DllImport("User32.dll", CharSet:=CharSet.Auto)> _
    Public Shared Function CloseClipboard() As Integer
    End Function

    <DllImport("User32.dll", CharSet:=CharSet.Auto)> _
    Public Shared Function RegisterClipboardFormat(ByVal lpszFormat As String) As Integer
    End Function

    <DllImport("User32.dll", CharSet:=CharSet.Auto)> _
    Public Shared Function GetClipboardData(ByVal uFormat As Integer) As IntPtr
    End Function

End Class
